| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
zstream.h File Reference

## Classes

class | wxZlibOutputStream
| This stream compresses all data written to it. More...
class | wxZlibInputStream
| This filter stream decompresses a stream that is in zlib or gzip format. More...

## Enumerations

enum | wxZlibCompressionLevels { wxZ_DEFAULT_COMPRESSION = -1, wxZ_NO_COMPRESSION = 0, wxZ_BEST_SPEED = 1, wxZ_BEST_COMPRESSION = 9 }
| Compression level. More...
enum | wxZLibFlags { wxZLIB_NO_HEADER = 0, wxZLIB_ZLIB = 1, wxZLIB_GZIP = 2, wxZLIB_AUTO = 3 }
| Flags. More...

## Enumeration Type Documentation

enum wxZlibCompressionLevels

Compression level.

Enumerator:

  wxZ_DEFAULT_COMPRESSION |
  wxZ_NO_COMPRESSION |
  wxZ_BEST_SPEED |
  wxZ_BEST_COMPRESSION |

enum wxZLibFlags

Flags.

Enumerator:

  wxZLIB_NO_HEADER | raw deflate stream, no header or checksum
  wxZLIB_ZLIB | zlib header and checksum
  wxZLIB_GZIP | gzip header and checksum, requires zlib 1.2.1+
  wxZLIB_AUTO | autodetect header zlib or gzip